﻿$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.masterpackager.com/installer/standard/masterpackager_21.1.7691.0.msi'
$packageName = 'masterpackager'
$chocolateyPackageVersion = '21.1.7691.0'

$packageArgs = @{
  packageName   = $packageName
  chocolateyPackageVersion = $chocolateyPackageVersion
  fileType      = 'MSI'
  url           = $url
  checksum      = 'a260c9c6f23685a6ca9db36f4fa4659533a129bb4ad92feb8516074b83e45cd4'
  checksumType	= 'sha256'
  softwareName  = 'MasterPackager*'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs